///////////////////////////////////////////////////////////////////////////
#define CUSTOM_VERTEX ( D3DFVF_XYZ | D3DFVF_NORMAL | D3DFVF_TEX1 )
struct VERTEX
{
	float		x;
	float		y;
	float		z;
	float		nx;
	float		ny;
	float		nz;
	float		u;
	float		v;
};

#define CUSTOM_VERTEX_RHW ( D3DFVF_XYZRHW | D3DFVF_DIFFUSE | D3DFVF_TEX1 )
struct VERTEX_RHW
{
	float		x;
	float		y;
	float		z;
	float		rhw;
	D3DCOLOR	diffuse;
	float		u;
	float		v;
};


#define CUSTOM_VERTEX_RHW_NOUV ( D3DFVF_XYZRHW | D3DFVF_DIFFUSE )
struct VERTEX_RHW_NOUV
{
	float		x;
	float		y;
	float		z;
	float		rhw;
	D3DCOLOR	diffuse;
};
///////////////////////////////////////////////////////////////////////////

// MOUSE //////
struct MOUSE
{
	int x;
	int y;
	bool  LMB;
	bool  RMB;
};
///////////////


// RENDER FLAGS STRUCTURE ////////////////////////////////
struct RENDERFLAGS
{
	UINT lighting		;
	bool alphablending	;

	DWORD alphaop		;
	DWORD alphaarg1		;
	DWORD alphaarg2		;

	DWORD colorop		;
	DWORD colorarg1		;
	DWORD colorarg2		;

	DWORD blendop		;
	DWORD blendsrc		;	
	DWORD blenddest		;
};
//////////////////////////////////////////////////////////



struct CONTROLS
{
	int F1;
	int F2;
	int F3;
	int F4;
	int F5;
	int F6;
	int F7;
	int F8;
	int F9;
};


#include "pathfinder_header.h"
